ENVISAT Product Reader C API: Main Page

ENVISAT Product Reader API for C |

# Field Single Element Access
[Basic Data Access]

This group of functions is for getting the elements of a field as a typed value. More...

## Functions
char | epr_get_field_elem_as_char (const EPR_SField *field, uint elem_index)
uchar | epr_get_field_elem_as_uchar (const EPR_SField *field, uint elem_index)
short | epr_get_field_elem_as_short (const EPR_SField *field, uint elem_index)
ushort | epr_get_field_elem_as_ushort (const EPR_SField *field, uint elem_index)
int | epr_get_field_elem_as_int (const EPR_SField *field, uint elem_index)
uint | epr_get_field_elem_as_uint (const EPR_SField *field, uint elem_index)
float | epr_get_field_elem_as_float (const EPR_SField *field, uint elem_index)
double | epr_get_field_elem_as_double (const EPR_SField *field, uint elem_index)
const EPR_STime * | epr_get_field_elem_as_mjd (const EPR_SField *field)
const char * | epr_get_field_elem_as_str (const EPR_SField *field)

## Detailed Description

This group of functions is for getting the elements of a field as a typed value.

Typed value means that the returned variable is of a certain variable type, e.g. such as short or float.
The type is located in the field info. See epr_get_field_type.
One field must have one type only.

Parameters:

  | field | the field, must not be `NULL`
  | elem_index | the zero-based index of element to be returned, must not be negative.

Returns:
  the typed value from given field

## Function Documentation

char epr_get_field_elem_as_char | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

uchar epr_get_field_elem_as_uchar | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

short epr_get_field_elem_as_short | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

ushort epr_get_field_elem_as_ushort | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

int epr_get_field_elem_as_int | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

uint epr_get_field_elem_as_uint | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

float epr_get_field_elem_as_float | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

double epr_get_field_elem_as_double | ( | const EPR_SField * | field,
|  | uint | elem_index |
| ) |  |  |

const EPR_STime* epr_get_field_elem_as_mjd | ( | const EPR_SField * | field | ) |

const char* epr_get_field_elem_as_str | ( | const EPR_SField * | field | ) |